OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ComputeShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBComputeShader :: MonadIO m => m Bool
- gl_ARB_compute_shader :: Bool
- pattern GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- pattern GL_COMPUTE_SHADER :: GLenum
- pattern GL_COMPUTE_SHADER_BIT :: GLbitfield
- pattern GL_COMPUTE_WORK_GROUP_SIZE :: GLenum
- pattern GL_DISPATCH_INDIRECT_BUFFER :: GLenum
- pattern GL_DISPATCH_INDIRECT_BUFFER_BINDING :: GLenum
- pattern GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_COMPUTE_ATOMIC_COUNTERS :: GLenum
- pattern GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS :: GLenum
- pattern GL_MAX_COMPUTE_IMAGE_UNIFORMS :: GLenum
- pattern GL_MAX_COMPUTE_SHARED_MEMORY_SIZE :: GLenum
- pattern GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_COMPUTE_UNIFORM_BLOCKS :: GLenum
- pattern GL_MAX_COMPUTE_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_COMPUTE_WORK_GROUP_COUNT :: GLenum
- pattern GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS :: GLenum
- pattern GL_MAX_COMPUTE_WORK_GROUP_SIZE :: GLenum
- pattern GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- glDispatchCompute :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glDispatchComputeIndirect :: MonadIO m => GLintptr -> m ()

# Extension Support

glGetARBComputeShader :: MonadIO m => m Bool Source #

Is the ARB_compute_shader extension supported?

gl_ARB_compute_shader :: Bool Source #

Is the ARB_compute_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBComputeShader` in those cases instead.

# Enums

pattern GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER :: GLenum Source #

pattern GL_COMPUTE_SHADER :: GLenum Source #

pattern GL_COMPUTE_SHADER_BIT :: GLbitfield Source #

pattern GL_COMPUTE_WORK_GROUP_SIZE :: GLenum Source #

pattern GL_DISPATCH_INDIRECT_BUFFER :: GLenum Source #

pattern GL_DISPATCH_INDIRECT_BUFFER_BINDING :: GLenum Source #

pattern GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_COMPUTE_ATOMIC_COUNTERS :: GLenum Source #

pattern GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS :: GLenum Source #

pattern GL_MAX_COMPUTE_IMAGE_UNIFORMS :: GLenum Source #

pattern GL_MAX_COMPUTE_SHARED_MEMORY_SIZE :: GLenum Source #

pattern GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_COMPUTE_UNIFORM_BLOCKS :: GLenum Source #

pattern GL_MAX_COMPUTE_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_COMPUTE_WORK_GROUP_COUNT :: GLenum Source #

pattern GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS :: GLenum Source #

pattern GL_MAX_COMPUTE_WORK_GROUP_SIZE :: GLenum Source #

pattern GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER :: GLenum Source #

# Functions

glDispatchCompute Source #

Arguments

:: MonadIO m |
=> GLuint | `num_groups_x`.
-> GLuint | `num_groups_y`.
-> GLuint | `num_groups_z`.
-> m () |

Manual page for OpenGL 4.x.

glDispatchComputeIndirect Source #

Arguments

:: MonadIO m |
=> GLintptr | `indirect` of type `BufferOffset`.
-> m () |

Manual page for OpenGL 4.x.